//
//  AboutViewController.m
//  ALand
//
//  Created by Z on 16/5/24.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "AboutViewController.h"
#import "UIImage+Helper.h"
@interface AboutViewController ()
@property (weak, nonatomic) IBOutlet UIImageView *imgViewTop;
@property (weak, nonatomic) IBOutlet UILabel *labelVersion;

@end

@implementation AboutViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = kSysWhite;
    self.imgViewTop.layer.masksToBounds = YES;
    self.imgViewTop.layer.cornerRadius = 10;
    self.imgViewTop.image = [UIImage appIcon];
    NSString *version = [[[NSBundle mainBundle] infoDictionary] objectForKey:@"CFBundleShortVersionString"];
    self.labelVersion.text = [NSString stringWithFormat:@"版本:%@",version];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
