//
//  LogisticsLineViewController.m
//  ALand
//
//  Created by Javen on 16/8/29.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "LogisticsLineViewController.h"
#import "LogisticsTimeLineTableViewCell.h"
@interface LogisticsLineViewController ()<UITableViewDelegate, UITableViewDataSource>
@property (weak, nonatomic) IBOutlet UITableView *tableView;
/** 物流图标 */
@property (weak, nonatomic) IBOutlet UIImageView *logisticIcon;
/** 物流名称 */
@property (weak, nonatomic) IBOutlet UILabel *logisticsName;
/** 物流单号 */
@property (weak, nonatomic) IBOutlet UILabel *logisticsNumber;

@end

@implementation LogisticsLineViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"物流详情";
    self.logisticsNumber.text = [NSString stringWithFormat:@"运单号：%@",self.shipTrackingNumber];
    self.tableView.estimatedRowHeight = 50;
    self.tableView.rowHeight = UITableViewAutomaticDimension;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.arrData.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    LogisticsTimeLineTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"LogisticsTimeLineTableViewCell" forIndexPath:indexPath];
    [cell configCellWithArr:self.arrData index:indexPath];
    return cell;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
